<?php
if (!defined('ABSPATH')) exit;

// Agregar el menú al backend
add_action('admin_menu', function () {
    add_menu_page(
        'Visibilidad WooCommerce',
        'Visibilidad WC',
        'manage_options',
        'visibilidad-woocommerce',
        'vw_render_admin_page',
        'dashicons-hidden',
        60
    );
});

// Renderizar la página del menú
function vw_render_admin_page() {
    ?>
    <div class="wrap">
        <h1>Opciones de Visibilidad WooCommerce</h1>
        <form method="post" action="options.php">
            <?php
            settings_fields('vw_settings_group');
            do_settings_sections('visibilidad-woocommerce');
            submit_button();
            ?>
        </form>
    </div>
    <?php
}
